Class Index | File Index

## Classes

- _global_
- Array
- String
- Tee
- Tee.AfricaMap
- Tee.Animation
- Tee.Annotation
- Tee.Area
- Tee.AsiaMap
- Tee.AustraliaMap
- Tee.Bar
- Tee.Bubble
- Tee.Candle
- Tee.Chart
- Tee.Chart.Axes
- Tee.Chart.Axis
- Tee.Chart.Axis-Grid
- Tee.Chart.Axis-Labels
- Tee.Chart.Axis-Ticks
- Tee.Chart.Axis-Title
- Tee.Chart.Legend
- Tee.Chart.Legend-Symbol
- Tee.Chart.Panel
- Tee.Chart.Scroll
- Tee.Chart.SeriesList
- Tee.Chart.Title
- Tee.Chart.Tools
- Tee.Chart.Wall
- Tee.Chart.Zoom
- Tee.ChartImage
- Tee.CircularGauge
- Tee.ColorGrid
- Tee.CursorTool
- Tee.CustomBar
- Tee.CustomSeries
- Tee.CustomSeries-Pointer
- Tee.Data
- Tee.Data.Dimension
- Tee.Data.Metric
- Tee.Donut
- Tee.DragTool
- Tee.Europe27Map
- Tee.EuropeMap
- Tee.FadeAnimation
- Tee.Font
- Tee.Format
- Tee.Gantt
- Tee.Gradient
- Tee.HorizArea
- Tee.HorizBar
- Tee.Line
- Tee.Map
- Tee.Margins
- Tee.MarksAnimation
- Tee.Palette
- Tee.PaletteSeries
- Tee.Pie
- Tee.Point
- Tee.PointXY
- Tee.Polar
- Tee.Rectangle
- Tee.Series
- Tee.Series.Marks
- Tee.SeriesAnimation
- Tee.Shadow
- Tee.SouthAmericaMap
- Tee.Stroke
- Tee.Surface
- Tee.SVGMap
- Tee.Three
- Tee.Tool
- Tee.ToolTip
- Tee.USAMap
- Tee.Volume
- Tee.WorldMap

# Class Tee.Chart.SeriesList

Contains a list of chart series objects
Defined in: <..\..\src\teechart.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Tee.Chart.SeriesList(chart)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| items The array containing series instances.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| anyUsesAxes()
<inner> | axisStrokeSize(axis)
| beforeDraw()
| clicked(p)
| count()
| draw()
| firstVisible()
| horizMargins() Calculates the maximum amount of horizontal margins in pixels from all series
| maxXValue(axis)
| maxYValue(axis)
| minXValue(axis)
| minYValue(axis)
| mousedown(event)
| mousemove(p)
| mouseout()
| vertMargins() Calculates the maximum amount of vertical margins in pixels from all series.
| visibleCount(s, c, res) Counts how many visible series exist of the same class type.

Class Detail
Tee.Chart.SeriesList(chart)

Parameters:
{Tee.Chart} chart
  The parent chart this list of series belongs to.

Field Detail
{Tee.Series[]} items
The array containing series instances.
Method Detail
{Boolean} anyUsesAxes()

Returns:
  {Boolean} Returns if any visible series in chart needs axes to be represented.

<inner> axisStrokeSize(axis)

Parameters:
axis

beforeDraw()

{Boolean} clicked(p)

Parameters:
p

Returns:
  {Boolean} Returns if Tee.Point p parameter is over any series point.

{Number} count()

Returns:
  {Number} Returns the total number of series in chart, visible or not.

draw()

{Tee.Series} firstVisible()

Returns:
  {Tee.Series} Returns the first visible series in chart, or null if any.

{Tee.Point} horizMargins()
Calculates the maximum amount of horizontal margins in pixels from all series

Returns:
  {Tee.Point} Returns the maximum left/right distance in pixels that all series need to be separated from axes.

{Number} maxXValue(axis)

Parameters:
axis

Returns:
  {Number} Returns the maximum of all visible series maximum x values.

{Number} maxYValue(axis)

Parameters:
axis

Returns:
  {Number} Returns the maximum of all visible series maximum data values.

{Number} minXValue(axis)

Parameters:
axis

Returns:
  {Number} Returns the minimum of all visible non-empty series associated to axis, minimum x values.

{Number} minYValue(axis)

Parameters:
axis

Returns:
  {Number} Returns the minimum of all visible series mininum data values.

mousedown(event)

Parameters:
event

mousemove(p)

Parameters:
p

mouseout()

{Tee.Point} vertMargins()
Calculates the maximum amount of vertical margins in pixels from all series.

Returns:
  {Tee.Point} Returns the maximum top/bottom distance in pixels that all series need to be separated from axes.

{Number} visibleCount(s, c, res)
Counts how many visible series exist of the same class type.

Parameters:
s
c
res

Returns:
  {Number} Returns the number of visible series in chart of the same type as this.

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Oct 23 2013 16:27:37 GMT+0200 (CEST)